Bug 16922 - Should use GChecksum if available
Summary: Should use GChecksum if available
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-31 08:05 UTC by Simon McVittie
Modified: 2008-10-15 01:46 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2008-07-31 08:05:01 UTC
telepathy-gabble ships an embedded copy of a SHA-1 implementation and a MD5 implementation. If compiled against GLib 2.16 it should use GChecksum instead.

Optionally, we could consider falling back to openssl if GLib is too old, and only using the internal code if both are unsuitable.

We need to keep the internal implementations so we can support older OSs (notably Maemo diablo) but they shouldn't be compiled if they're not needed.
Comment 1 Mikhail Zabaluev 2008-08-04 06:14:14 UTC
(In reply to comment #0)
> We need to keep the internal implementations so we can support older OSs
> (notably Maemo diablo) but they shouldn't be compiled if they're not needed.

Note that if you choose the openssl implementation, you have Maemo covered as well. And Fremantle is going to have GChecksum.
Comment 2 Simon McVittie 2008-10-15 01:46:56 UTC
Fixed in git, will be in 0.7.10.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.